<img
  src="/assets/icons/toast_{{ toastData.status }}.svg"
  class="toast-snackbar__icon"
  alt="{{ toastData.status }}"
/>
<ng-container [ngSwitch]="messageIsHTML">
  <span class="toast-snackbar__message" *ngSwitchCase="false">
    {{ toastData.message }}
  </span>
  <div class="toast-snackbar__message" *ngSwitchDefault [innerHTML]="toastData.message"></div>
</ng-container>
<button
  *ngIf="!toastData.action"
  class="toast-snackbar__close"
  (click)="close()"
></button>
<button
  *ngIf="toastData.action"
  class="toast-snackbar__action"
  (click)="onActionClick()"
>
  {{ toastData.actionText }}
</button>
